Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallService Class Reference

Service for creating and receiving audio/video calls. More...

`#import <CSCallService.h>`

Inherits NSObject.

## Instance Methods
(CSCall *) | - createCall
| Creates a new outgoing call. More...
(CSCall *) | - createCallWithInfo:
| Creates a new outgoing call with information provided in the input argument. More...
(NSArray *) | - ignoredCalls
| Returns the list of calls that are currently in the ignored stated. More...
(NSArray *) | - calls
(NSString *) | - applyDialingRulesForEC500:
| Apply dialing rules . More...
(CSCapability *) | - videoCapabilityForCallType:
| Gets CSCapability object indicating whether the video is allowed for specific call type. More...
(CSCapability *) | - voipCallingCapabilityForCallType:
| Gets CSCapability object indicating whether the VoIP calling is allowed for specific call type. More...
(CSCapability *) | - createCallCapabilityForCallCreationInfo:
| Gets CSCapability object indicating whether the call can be created. More...

## Properties
id< CSCallServiceDelegate > | delegate
| The delegate responsible for handling call events. More...
BOOL | hasInitiatingCall
| A Boolean value indicating whether there is a call in initiating state. More...
BOOL | hasHeldCall
| A Boolean value indicating whether there is a call in held state. More...
CSCapability * | videoCapability
| Gets CSCapability object indicating whether the video is allowed. More...
CSCapability * | voipCallingCapability
| Gets CSCapability object indicating whether the VoIP calling is allowed. More...
BOOL | autoAnswerAdministered
| A Boolean value indicating whether auto-answer is administered. More...
NSArray * | lineAppearances
| Gets information about the line appearances. More...
NSArray * | emergencyNumbers
| Gets information about the emergency numbers. More...
CSCall * | activeCall
| Get current locally established active call. More...

## Detailed Description

Service for creating and receiving audio/video calls.

## Method Documentation

- (NSString *) applyDialingRulesForEC500: |  | (NSString *) | inputNumber |

Apply dialing rules .

It is used for applying dialing rules outside of the call service (e.g ec500 calls)

Parameters

  inputNumber | to which dialing rules logic needs to be applied.

Returns
  A number that can be dialed or the number as is if the number is not valid or cannot be transformed.

- (NSArray *) calls |  |  |

Returns
  the calls that are in progress.

- (CSCall *) createCall |  |  |

Creates a new outgoing call.

Returns
  Creates a new outgoing call.

- (CSCapability*) createCallCapabilityForCallCreationInfo: |  | (CSCallCreationInfo *) | callCreationInfo |

Gets CSCapability object indicating whether the call can be created.

Parameters

  callCreationInfo | the line appearance id and other call creation information.

Returns
  CSCapability object indicating whether the call can be created.

- (CSCall *) createCallWithInfo: |  | (CSCallCreationInfo *) | callCreationInfo |

Creates a new outgoing call with information provided in the input argument.

Parameters

  callCreationInfo | Call creation information

Returns
  Creates a new outgoing call on bridge line.

- (NSArray *) ignoredCalls |  |  |

Returns the list of calls that are currently in the ignored stated.

- (CSCapability*) videoCapabilityForCallType: |  | (CSCallType) | callType |

Gets CSCapability object indicating whether the video is allowed for specific call type.

For each call type video capability is calculated based on license, user configuration and available network.

Parameters

  callType | the call type.

Returns
  CSCapability object indicating whether the video is allowed.

- (CSCapability*) voipCallingCapabilityForCallType: |  | (CSCallType) | callType |

Gets CSCapability object indicating whether the VoIP calling is allowed for specific call type.

For each call type VoIP calling capability is calculated based on user configuration and available network.

Parameters

  callType | the call type.

Returns
  CSCapability object indicating whether the VoIP calling is allowed.

## Property Documentation

- (CSCall*) activeCall
| read nonatomic assign

Get current locally established active call.

An active call is local and in established state. The active call is null if there is no call or all local calls are in held state.

Returns
  The new active call if exist otherwise nil.

- (BOOL) autoAnswerAdministered
| read nonatomic assign

A Boolean value indicating whether auto-answer is administered.

This information is used to indicate how the client will behave when an incoming call is received.

Do not use this information to determine if an incoming call should be answered automatically by your client. Instead use the call.canAutoAnswer property for that purpose.

NOTE: The SDK never auto-answers a call, we simply provide info indicating whether the call can be auto-answered. It's up to the client to act on this info and automatically answer the call.

Returns
  true if auto-answer is administered.

- (id<CSCallServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling call events.

- (NSArray*) emergencyNumbers
| read nonatomic assign

Gets information about the emergency numbers.

Returns
  An NSArray of strings.

- (BOOL) hasHeldCall
| read nonatomic assign

A Boolean value indicating whether there is a call in held state.

- (BOOL) hasInitiatingCall
| read nonatomic assign

A Boolean value indicating whether there is a call in initiating state.

Returns
  `YES` if there is at least one call initiated but not yet established, `NO` otherwise.

- (NSArray*) lineAppearances
| read nonatomic assign

Gets information about the line appearances.

Returns
  An NSArray of CSLineAppearance objects.

- (CSCapability*) videoCapability
| read nonatomic assign

Gets CSCapability object indicating whether the video is allowed.

video capability is calculated based on license, user configuration and available network.

- (CSCapability*) voipCallingCapability
| read nonatomic assign

Gets CSCapability object indicating whether the VoIP calling is allowed.

VoIP calling capability is calculated based on user configuration and available network.

The documentation for this class was generated from the following file:

- CSCallService.h